<?php

require_once 'HTML/QuickForm.php';
require_once 'HTML/QuickForm/Renderer/ITDynamic.php';
require_once 'HTML/Template/Sigma.php';
require_once 'HTML/QuickForm/advmultiselect.php';

$form = new HTML_QuickForm('multiselect');

$fruit_array = array(
    'apple'     =>  'Apple',
    'orange'    =>  'Orange',
    'pear'      =>  'Pear',
    'banana'    =>  'Banana',
    'cherry'    =>  'Cherry',
    'kiwi'      =>  'Kiwi',
    'lemon'     =>  'Lemon',
    'lime'      =>  'Lime',
    'tangerine' =>  'Tangerine',
);

// rendering with css selectors and API selLabel(), setButtonAttributes()
$form->addElement('header', null, 'Advanced Multiple Select: custom layout ');

$form->addElement('text', 'name', 'Name:', array('size' => 40, 'maxlength' => 80));

$pool =& $form->addElement('advmultiselect', 'fruit', null, $fruit_array,
                           array('size' => 15,
                                 'class' => 'pool', 'style' => 'width:150px;'
                                )
);
$pool->setLabel(array('Fruit:', 'Available', 'Selected'));
$pool->setButtonAttributes('add',    array('value' => 'Add >>',
                                           'class' => 'inputCommand'
));
$pool->setButtonAttributes('remove', array('value' => '<< Remove',
                                           'class' => 'inputCommand'
));

if (isset($_POST['fruit'])) {
    $form->setDefaults(array('fruit' => $_POST['fruit']));
}

$form->addElement('submit', 'send', 'Send', array('class' => 'inputCommand'));

$form->addRule('name', 'Your name is required', 'required', null, 'client');
$form->addRule('fruit', 'At least one fruit is required', 'required', null, 'client');

$tpl = new HTML_Template_Sigma('.');
$tpl->loadTemplateFile('itdynamic.html');

$renderer = new HTML_QuickForm_Renderer_ITDynamic($tpl);

$form->accept($renderer);
$tpl->show();

if ($form->validate()) {
    $clean = $form->getSubmitValues();

    echo '<p>Welcome <b>' . $clean['name'] . '</b> you\'ve selected these fruits:</p>';
    echo implode(', ', $clean['fruit']);
}
?>